Package org.jbpm.services.task.audit.commands

## Class TaskVariableQueryCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<List<R>>
  - - org.jbpm.services.task.audit.commands.AbstractTaskAuditQueryCommand<org.kie.internal.task.api.TaskVariable,​TaskVariableImpl>
    - - org.jbpm.services.task.audit.commands.TaskVariableQueryCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<List<org.kie.internal.task.api.TaskVariable>>`, `org.kie.api.command.ExecutableCommand<List<org.kie.internal.task.api.TaskVariable>>`

      public class TaskVariableQueryCommand
      extends AbstractTaskAuditQueryCommand<org.kie.internal.task.api.TaskVariable,​TaskVariableImpl>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskVariableQueryCommand()` |
    `TaskVariableQueryCommand​(org.jbpm.query.jpa.data.QueryWhere queryWhere)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Class<TaskVariableImpl>` | `getQueryType()` |
    `org.jbpm.query.jpa.data.QueryWhere` | `getQueryWhere()` |
    `protected Class<org.kie.internal.task.api.TaskVariable>` | `getResultType()` |
    `void` | `setQueryWhere​(org.jbpm.query.jpa.data.QueryWhere queryWhere)` |

    - ### Methods inherited from class org.jbpm.services.task.audit.commands.AbstractTaskAuditQueryCommand

      `execute`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskVariableQueryCommand

          public TaskVariableQueryCommand()

    - #### TaskVariableQueryCommand

          public TaskVariableQueryCommand​(org.jbpm.query.jpa.data.QueryWhere queryWhere)

  - ### Method Detail

    - #### getQueryWhere

          public org.jbpm.query.jpa.data.QueryWhere getQueryWhere()

      Specified by:
        `getQueryWhere` in class `AbstractTaskAuditQueryCommand<org.kie.internal.task.api.TaskVariable,​TaskVariableImpl>`

    - #### setQueryWhere

          public void setQueryWhere​(org.jbpm.query.jpa.data.QueryWhere queryWhere)

    - #### getResultType

          protected Class<org.kie.internal.task.api.TaskVariable> getResultType()

      Specified by:
        `getResultType` in class `AbstractTaskAuditQueryCommand<org.kie.internal.task.api.TaskVariable,​TaskVariableImpl>`

    - #### getQueryType

          protected Class<TaskVariableImpl> getQueryType()

      Specified by:
        `getQueryType` in class `AbstractTaskAuditQueryCommand<org.kie.internal.task.api.TaskVariable,​TaskVariableImpl>`